CUDNN Frontend API 8.3.0

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
cudnn_frontend::EngineFallbackList_v8 Class Reference

`#include <cudnn_frontend_EngineFallbackList.h>`

Inheritance diagram for cudnn_frontend::EngineFallbackList_v8:
Collaboration diagram for cudnn_frontend::EngineFallbackList_v8:

## Public Member Functions
std::string | describe () const override
| Return a string describing the backend Descriptor. More...
auto | getFallbackList () -> std::vector< ManagedOpaqueDescriptor > &
| ~EngineFallbackList_v8 ()=default
| EngineFallbackList_v8 (EngineFallbackList_v8 &&from)
Public Member Functions inherited from cudnn_frontend::BackendDescriptor
cudnnBackendDescriptor_t | get_raw_desc () const
cudnnStatus_t | get_status () const
| Current status of the descriptor. More...
void | set_status (cudnnStatus_t const status_) const
| Set status of the descriptor. More...
void | set_error (const char *message) const
| Set Diagonistic error message. More...
const char * | get_error () const
| Diagonistic error message if any. More...
ManagedOpaqueDescriptor | get_desc () const
| Returns a copy of underlying managed descriptor. More...
cudnnStatus_t | initialize_managed_backend_pointer (cudnnBackendDescriptorType_t type)
| Initializes the underlying managed descriptor. More...

## Private Member Functions
| EngineFallbackList_v8 ()=default
| EngineFallbackList_v8 (EngineFallbackList_v8 const &)=delete
EngineFallbackList_v8 & | operator= (EngineFallbackList_v8 const &)=delete

## Private Attributes
ManagedOpaqueDescriptor | opGraph = nullptr
cudnnBackendDescriptorType_t | mode
uint64_t | num_ops
std::vector< ManagedOpaqueDescriptor > | m_engine_configs
std::string | opGraphTag

## Friends
class | EngineFallbackListBuilder_v8

## Additional Inherited Members
Protected Member Functions inherited from cudnn_frontend::BackendDescriptor
| BackendDescriptor (ManagedOpaqueDescriptor pointer_, cudnnStatus_t status_, std::string err_msg_)
| BackendDescriptor ()=default
Protected Attributes inherited from cudnn_frontend::BackendDescriptor
ManagedOpaqueDescriptor | pointer
cudnnStatus_t | status = CUDNN_STATUS_SUCCESS
| Shared pointer of the OpaqueBackendPointer. More...
std::string | err_msg
| Error message if any being set. More...

## Detailed Description

Definition at line 77 of file cudnn_frontend_EngineFallbackList.h.

## Constructor & Destructor Documentation

## ◆ ~EngineFallbackList_v8()

cudnn_frontend::EngineFallbackList_v8::~EngineFallbackList_v8 | ( |  | ) |
| default

Referenced by getFallbackList().

## ◆ EngineFallbackList_v8() [1/3]

cudnn_frontend::EngineFallbackList_v8::EngineFallbackList_v8 | ( | EngineFallbackList_v8 && | from | ) |
| inline

Definition at line 95 of file cudnn_frontend_EngineFallbackList.h.

References EngineFallbackList_v8(), m_engine_configs, and operator=().

## ◆ EngineFallbackList_v8() [2/3]

cudnn_frontend::EngineFallbackList_v8::EngineFallbackList_v8 | ( |  | ) |
| privatedefault

Referenced by EngineFallbackList_v8().

## ◆ EngineFallbackList_v8() [3/3]

cudnn_frontend::EngineFallbackList_v8::EngineFallbackList_v8 | ( | EngineFallbackList_v8 const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ describe()

std::string cudnn_frontend::EngineFallbackList_v8::describe | ( |  | ) | const
| inlineoverridevirtual

Return a string describing the backend Descriptor.

Implements cudnn_frontend::BackendDescriptor.

Definition at line 82 of file cudnn_frontend_EngineFallbackList.h.

## ◆ getFallbackList()

auto cudnn_frontend::EngineFallbackList_v8::getFallbackList | ( |  | ) | -> std::vector<ManagedOpaqueDescriptor> &
| inline

Definition at line 89 of file cudnn_frontend_EngineFallbackList.h.

References m_engine_configs, and ~EngineFallbackList_v8().

## ◆ operator=()

EngineFallbackList_v8& cudnn_frontend::EngineFallbackList_v8::operator= | ( | EngineFallbackList_v8 const & |  | ) |
| privatedelete

Referenced by cudnn_frontend::EngineFallbackListBuilder_v8::build(), and EngineFallbackList_v8().

## Friends And Related Function Documentation

## ◆ EngineFallbackListBuilder_v8

friend class EngineFallbackListBuilder_v8
| friend

Definition at line 79 of file cudnn_frontend_EngineFallbackList.h.

Referenced by cudnn_frontend::EngineFallbackListBuilder_v8::build().

## Member Data Documentation

## ◆ m_engine_configs

std::vector<ManagedOpaqueDescriptor> cudnn_frontend::EngineFallbackList_v8::m_engine_configs
| private

Definition at line 113 of file cudnn_frontend_EngineFallbackList.h.

Referenced by EngineFallbackList_v8(), and getFallbackList().

## ◆ mode

cudnnBackendDescriptorType_t cudnn_frontend::EngineFallbackList_v8::mode
| private

Definition at line 111 of file cudnn_frontend_EngineFallbackList.h.

Referenced by cudnn_frontend::EngineFallbackListBuilder_v8::setOperation().

## ◆ num_ops

uint64_t cudnn_frontend::EngineFallbackList_v8::num_ops
| private

Definition at line 112 of file cudnn_frontend_EngineFallbackList.h.

## ◆ opGraph

ManagedOpaqueDescriptor cudnn_frontend::EngineFallbackList_v8::opGraph = nullptr
| private

Definition at line 110 of file cudnn_frontend_EngineFallbackList.h.

## ◆ opGraphTag

std::string cudnn_frontend::EngineFallbackList_v8::opGraphTag
| private

Definition at line 114 of file cudnn_frontend_EngineFallbackList.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_EngineFallbackList.h